Retrieve a registered verifier application instance
Retrieves a registered instance of a verifier application.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>verifierApplicationId*stringUnique identifier for the verifier application.
uuidinstanceId*stringUnique identifier for the registered verifier application instance.
uuidVerifier application instance retrieved
application/json- response
Verifier application instance response.
id*stringUnique identifier of the registered verifier application instance.
appAttestationType*stringThe type of attestation used during registration of the verifier application instance.
"none""app_attestation""key_attestation"registeredAt*stringTimestamp indicating when the verifier application instance was registered.
date-timelicenseExpiresAt*stringTimestamp indicating when the license for the verifier application instance expires.
date-timelastAttestedAt?stringTimestamp indicating when the verifier application instance was last attested.
date-timeexternalReferenceId?stringOptional external reference identifier associated with the verifier application instance.
deviceDetails*Details about the device on which the verifier application instance is registered.
sdkDetails*Details about the SDK used by the verifier application instance.
curl -X GET 'https://example.vii.au01.mattr.global/v2/presentations/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7/instances/1ef1f867-20b4-48ea-aec1-bea7aff4964c'{ "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "appAttestationType": "key_attestation", "registeredAt": "2023-10-05T14:48:00.000Z", "licenseExpiresAt": "2024-10-05T14:48:00.000Z", "lastAttestedAt": "2023-12-01T10:30:00.000Z", "externalReferenceId": "external-ref-12345", "deviceDetails": { "deviceModel": "iPhone 12", "deviceMake": "Apple", "osVersion": "iOS 14.4" }, "sdkDetails": { "sdkVersion": "1.2.3" }}How would you rate this page?
Retrieve all registered verifier application instances GET
Retrieves all registered instances of a verifier application. This can be used by application owners to view all registered instances for a given verifier application.
Delete a registered verifier application instance DELETE
Deletes a registered instance of a verifier application. Deleted instances will no longer be able to interact with the platform or receive tokens, and any existing tokens will be revoked. Application owners can use this endpoint to remove individual instances that are no longer needed or were registered by mistake, without affecting the entire verifier application or its other instances. This is useful for cleaning up test instances or managing specific devices, rather than deleting the whole application and all its associated instances.